/* ================================ *\
   Reset
\* ================================ */

/// reset glow effect while focus element
/// @access public
@mixin _reset-glow() {
  &:focus {
    box-shadow: none;
    outline: 0 none;
  }
}


/// reset list styles
/// @access public
@mixin _reset-lists() {
  margin: 0;
  padding: 0;
  list-style-type: none;

  li {
    margin: 0;
    padding: 0;
    list-style-type: none;
  }
}


/// reset button (bootstrap) styles
/// @access public
@mixin _reset-button() {
  background: none;
  border: none;
  border-radius: 0;

  outline: none;
  @include _prefixed(box-shadow, none);
}


/// reset browser link styles
/// @access public
@mixin _reset-link() {
  text-decoration: none;
  color: inherit;
}


/// reset aligments
/// @access public
@mixin _reset-alignment() {
  margin: 0;
  padding: 0;
}